package de.fhmuenster.masterthesis.generator.mockdata;

import java.util.ArrayList;
import java.util.List;

public class MockRule {

	private List<MockCompare> comparisons = new ArrayList<>();
	private List<MockDeclaration> declarations = new ArrayList<>();
	
	public MockRule() {
	}

	public List<MockCompare> getComparisons() {
		return comparisons;
	}

	public void setComparisons(List<MockCompare> comparisons) {
		this.comparisons = comparisons;
	}

	public void addComparison(MockCompare comparison) {
		this.comparisons.add(comparison);
	}
	
	public List<MockDeclaration> getDeclarations() {
		return declarations;
	}

	public void setDeclarations(List<MockDeclaration> declarations) {
		this.declarations = declarations;
	}
	
	public void addDeclaration(MockDeclaration mockDeclaration) {
		this.declarations.add(mockDeclaration);
	}
}
